opensolaris-yet-again-notes, #2: tools and packages

Faster than I thought… Fixed my broken X server pretty quickly, and by the way learning how to boot up OpenSolaris into maintaineance / single-user mode (as this unfortunately is not there as a default recovery option in the grub configuration but rather easy to do nevertheless). Using the xorg.conf I copied off my Xubuntu system, now my external TFT finally works at 1280×1024 / 75 Hz, took some time to get that figured out in GNU/Linux as well. Adding a custom modeline to xorg.conf was the way to go, and this worked flawlessly on OpenSolaris’ Xorg as well, same as using xrandr to switch to the desired mode. Good.

Along with this, figured out that the Eclipse IDE in its latest (3.5) release finally is available to Solaris/x86 users again, which is pretty good – even though Eclipse is not my favorite tool getting development work done, I have little choice regarding this in a current project so having this tool available on OpenSolaris makes the platform a more likely working environment again. Downloading, unpacking and starting worked same as straightforward as on all other platforms, no problem as well.

Also managed to, again, get my fonts set up to be equally sized in Firefox/Thunderbird and the rest of the UI – setting a different resolution (obviously it’s 100 not 96 dpi) and playing around with the font anti-aliasing options in the GNOME theme configuration tool did have the desired effect. Good to also have this resolved, even though it just was a minor annoyance, and even though fonts on some web pages in Firefox still look kinda borked. :)

Installing OpenOffice, NetBeans and friends off the IPS repository by now, although once again I quickly dumped the package manager UI (which, even while attempting to get a first package installed, locked up and refused to refresh pretty quickly) in favour of the pkg command line tool which seems to work much more flawlessly. Let’s wait and see… :) Minor annoyance detected here: The Gimp, another application I (for obvious reasons. ;) ) excessively use, is just to be found in the repositories in a rather old (2.4.6) version. Maybe this is subject to change in the current development builds…